package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizLot;
import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 生产计划明细Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-04
 */
public interface BizLotMapper extends BaseMapper<BizLot> {
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    public List<BizLot> getNotStartList(BizProductionPlanDetail data);
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    public List<BizLot> getList(BizLot data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    BizLot getLastLot(BizLot data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizLot> getLotInfo(BizProductionPlanDetail data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizLot> getLotList(BizLot data);
    /**
     * 物理删除
     *
     * @param data
     * @return 删除结果
     */
    public int physicalDelete(BizLot data);
}
